"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ReportRequest = void 0;
const string_1 = __importDefault(require("string"));
class ReportRequest {
    constructor(nip, regon, reportName) {
        this.nip = nip;
        this.regon = regon;
        this.reportName = reportName;
    }
    toXML(type) {
        if (type === 'simple') {
            return (0, string_1.default)(`<soap:Envelope xmlns:soap="http://www.w3.org/2003/05/soap-envelope" xmlns:ns="http://CIS/BIR/PUBL/2014/07" xmlns:dat="http://CIS/BIR/PUBL/2014/07/DataContract">
                <soap:Header xmlns:wsa="http://www.w3.org/2005/08/addressing">
                    <wsa:Action>http://CIS/BIR/PUBL/2014/07/IUslugaBIRzewnPubl/DaneSzukajPodmioty</wsa:Action>
                    <wsa:To>https://wyszukiwarkaregon.stat.gov.pl/wsBIR/UslugaBIRzewnPubl.svc</wsa:To>
                </soap:Header>
                <soap:Body>
                    <ns:DaneSzukajPodmioty>
                        <ns:pParametryWyszukiwania>
                            <dat:Nip>${this.nip}</dat:Nip>
                        </ns:pParametryWyszukiwania>
                    </ns:DaneSzukajPodmioty>
                </soap:Body>
            </soap:Envelope>`.trim()).collapseWhitespace().s;
        }
        else {
            return (0, string_1.default)(`<soap:Envelope xmlns:soap="http://www.w3.org/2003/05/soap-envelope" xmlns:ns="http://CIS/BIR/PUBL/2014/07">
            <soap:Header xmlns:wsa="http://www.w3.org/2005/08/addressing">
              <wsa:Action>http://CIS/BIR/PUBL/2014/07/IUslugaBIRzewnPubl/DanePobierzPelnyRaport</wsa:Action>
              <wsa:To>https://wyszukiwarkaregon.stat.gov.pl/wsBIR/UslugaBIRzewnPubl.svc</wsa:To>
            </soap:Header>
            <soap:Body>
                <ns:DanePobierzPelnyRaport>
                  <ns:pRegon>${this.regon}</ns:pRegon>
                  <ns:pNazwaRaportu>${this.reportName}</ns:pNazwaRaportu>
                </ns:DanePobierzPelnyRaport>
            </soap:Body>
          </soap:Envelope>`.trim()).collapseWhitespace().s;
        }
    }
}
exports.ReportRequest = ReportRequest;
