"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.KrsReport = void 0;
class Adres {
    constructor(data) {
        this.ulica = data.ulica || '';
        this.nrDomu = data.nrDomu || '';
        this.nrLokalu = data.nrLokalu || '';
        this.miejscowosc = data.miejscowosc || '';
        this.kodPocztowy = data.kodPocztowy || '';
        this.poczta = data.poczta || '';
        this.kraj = data.kraj || '';
    }
}
class Siedziba {
    constructor(data) {
        this.kraj = data.kraj || '';
        this.wojewodztwo = data.wojewodztwo || '';
        this.powiat = data.powiat || '';
        this.gmina = data.gmina || '';
        this.miejscowosc = data.miejscowosc || '';
    }
}
class Identyfikatory {
    constructor(data) {
        this.regon = data.regon || '';
        this.nip = data.nip || '';
    }
}
class DanePodmiotu {
    constructor(data) {
        this.formaPrawna = data.formaPrawna || '';
        this.identyfikatory = new Identyfikatory(data.identyfikatory);
        this.nazwa = data.nazwa || '';
    }
}
class SiedzibaIAdres {
    constructor(data) {
        this.siedziba = new Siedziba(data.siedziba);
        this.adres = new Adres(data.adres);
        this.adresStronyInternetowej = data.adresStronyInternetowej || '';
    }
}
class Dzial1 {
    constructor(data) {
        this.danePodmiotu = new DanePodmiotu(data.danePodmiotu);
        this.siedzibaIAdres = new SiedzibaIAdres(data.siedzibaIAdres);
    }
}
class NaglowekA {
    constructor(data) {
        this.rejestr = data.rejestr || '';
        this.numerKRS = data.numerKRS || '';
        this.dataCzasOdpisu = data.dataCzasOdpisu || '';
        this.stanZDnia = data.stanZDnia || '';
        this.dataRejestracjiWKRS = data.dataRejestracjiWKRS || '';
        this.dataOstatniegoWpisu = data.dataOstatniegoWpisu || '';
    }
}
class KrsReport {
    constructor(data) {
        this.rodzaj = data.rodzaj || '';
        this.naglowekA = new NaglowekA(data.naglowekA);
        this.dane = {
            dzial1: new Dzial1(data.dane.dzial1)
        };
    }
}
exports.KrsReport = KrsReport;
