import { ZalogujRequest } from './GUS/ZalogujRequest';
import { SimpleReportResponse } from './GUS/SimpleReportResponse';
import { FullReportResponse } from './GUS/FullReportResponse';
export declare class GusModel {
    apiKey: string;
    requestSid: ZalogujRequest;
    sessionIdentifier: string;
    odpis: IOdpis;
    constructor(apiKey?: string);
    static fromJson(data: any): FullReportResponse | undefined;
    static fromJsonPkd(data: any): string[] | undefined;
    static sidFromJson(data: string): string;
    static regonFromJson(data: string): SimpleReportResponse | undefined;
}
export interface IOdpis {
    odpis: IOdpisDetails;
}
export interface IOdpisDetails {
    rodzaj: string;
    naglowekA: INaglowekA;
    dane: IDane;
}
export interface INaglowekA {
    rejestr: string;
    numerKRS: string;
    dataCzasOdpisu: string;
    stanZDnia: string;
    dataRejestracjiWKRS: string;
    numerOstatniegoWpisu: number;
    dataOstatniegoWpisu: string;
    sygnaturaAktSprawyDotyczacejOstatniegoWpisu: string;
    oznaczenieSaduDokonujacegoOstatniegoWpisu: string;
    stanPozycji: number;
}
export interface IDane {
    dzial1: IDzial1;
}
export interface IDzial1 {
    danePodmiotu: IDanePodmiotu;
    siedzibaIAdres: ISiedzibaIAdres;
}
export interface IDanePodmiotu {
    formaPrawna: string;
    identyfikatory: IIdentyfikatory;
    nazwa: string;
    daneOWczesniejszejRejestracji: IDaneOWczesniejszejRejestracji;
    czyProwadziDzialalnoscZInnymiPodmiotami: boolean;
    czyPosiadaStatusOPP: boolean;
}
export interface IIdentyfikatory {
    regon: string;
    nip: string;
}
export interface IDaneOWczesniejszejRejestracji {
    nazwaPoprzedniegoRejestru: string;
    numerWPoprzednimRejestrze: string;
    sadProwadzacyRejestr: string;
}
export interface ISiedzibaIAdres {
    siedziba: ISiedziba;
    adres: IAdres;
    adresStronyInternetowej: string;
}
export interface ISiedziba {
    kraj: string;
    wojewodztwo: string;
    powiat: string;
    gmina: string;
    miejscowosc: string;
}
export interface IAdres {
    ulica: string;
    nrDomu: string;
    miejscowosc: string;
    kodPocztowy: string;
    poczta: string;
    kraj: string;
}
